cascading.flow.hadoop.util

## Class HadoopMRUtil

- java.lang.Object
- - cascading.flow.hadoop.util.HadoopMRUtil

    public class HadoopMRUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`HadoopMRUtil()`

### Method Summary

Methods
`static java.util.Map<org.apache.hadoop.fs.Path,org.apache.hadoop.fs.Path>` `addToClassPath(org.apache.hadoop.conf.Configuration config, java.util.List<java.lang.String> classpath)` Add to class path.
`static boolean` `hasReducer(org.apache.hadoop.mapred.JobConf jobConf)`
`static java.lang.String` `readStateFromDistCache(org.apache.hadoop.mapred.JobConf jobConf, java.lang.String id, java.lang.String kind)`
`static java.lang.String` `writeStateToDistCache(org.apache.hadoop.mapred.JobConf conf, java.lang.String id, java.lang.String kind, java.lang.String stepState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HadoopMRUtil

    public HadoopMRUtil()

### Method Detail

#### writeStateToDistCache

    public static java.lang.String writeStateToDistCache(org.apache.hadoop.mapred.JobConf conf,
                                         java.lang.String id,
                                         java.lang.String kind,
                                         java.lang.String stepState)

#### readStateFromDistCache

    public static java.lang.String readStateFromDistCache(org.apache.hadoop.mapred.JobConf jobConf,
                                          java.lang.String id,
                                          java.lang.String kind)
                                                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### addToClassPath

    public static java.util.Map<org.apache.hadoop.fs.Path,org.apache.hadoop.fs.Path> addToClassPath(org.apache.hadoop.conf.Configuration config,
                                                                                    java.util.List<java.lang.String> classpath)

Add to class path.

Parameters:
  `config` - the config
  `classpath` - the classpath

#### hasReducer

    public static boolean hasReducer(org.apache.hadoop.mapred.JobConf jobConf)